.syntaxhighlighter,
.syntaxhighlighter div,
.syntaxhighlighter code,
.syntaxhighlighter table,
.syntaxhighlighter table td,
.syntaxhighlighter table tr,
.syntaxhighlighter table tbody {
    margin: 0!important;
    padding: 0!important;
    border: 0!important;
    outline: 0!important;
    background: none!important;
    text-align: left!important;
    float: none!important;
    vertical-align: baseline!important;
    position: static!important;
    left: auto!important;
    top: auto!important;
    right: auto!important;
    bottom: auto!important;
    height: auto!important;
    width: auto!important;
    line-height: 1.1em!important;
    font-family: "Consolas", "Bitstream Vera Sans Mono", "Courier New", Courier, monospace!important;
    font-weight: normal!important;
    font-style: normal!important;
    font-size: 1em!important;
    min-height: inherit!important;
    min-height: auto!important
;}

.syntaxhighlighter {
    width: 99%!important;
    margin: 1em 0 1em 0!important;
    padding: 1px!important;
    position: relative!important
;}

.syntaxhighlighter .bold {
    font-weight: bold!important
;}

.syntaxhighlighter .italic {
    font-style: italic!important
;}

.syntaxhighlighter .no-wrap .line .content {
    white-space: pre!important
;}

.syntaxhighlighter .line table {
    border-collapse: collapse!important
;}

.syntaxhighlighter .line td {
    vertical-align: top!important
;}

.syntaxhighlighter .line .number {
    width: 2em!important
;}

.syntaxhighlighter .line .number code {
    width: 2em!important;
    padding-right: .3em!important;
    text-align: right!important;
    display: block!important
;}

.syntaxhighlighter .line .content {
    padding-left: .5em!important
;}

.syntaxhighlighter.nogutter .line .content {
    border-left: none!important
;}

.syntaxhighlighter .bar {
    display: none!important
;}

.syntaxhighlighter .bar.show {
    display: block!important
;}

.syntaxhighlighter.collapsed .bar {
    display: block!important
;}

.syntaxhighlighter.collapsed .lines {
    display: none!important
;}

.syntaxhighlighter .lines.no-wrap {
    overflow: auto!important;
    overflow-y: hidden!important
;}

.syntaxhighlighter .toolbar {
    position: absolute!important;
    right: 0!important;
    top: 0!important;
    font-size: 1px!important;
    padding: 8px 8px 8px 0!important
;}

.syntaxhighlighter.collapsed .toolbar {
    font-size: 80%!important;
    padding: .2em 0 .5em .5em!important;
    position: static!important
;}

.syntaxhighlighter .toolbar a.item,
.syntaxhighlighter .toolbar .item {
    display: block!important;
    float: left!important;
    margin-left: 8px!important;
    background-repeat: no-repeat!important;
    overflow: hidden!important;
    text-indent: -5000px!important
;}

.syntaxhighlighter.collapsed .toolbar .item {
    display: none!important
;}

.syntaxhighlighter.collapsed .toolbar .item.expandSource {
    
    display: inline!important;
    text-indent: 0!important;
    width: auto!important;
    float: none!important;
    height: 16px!important;
    padding-left: 20px!important
;}

.syntaxhighlighter .toolbar .item.viewSource {
     }

.syntaxhighlighter .toolbar .item.printSource {
    }

.syntaxhighlighter .toolbar .item.copyToClipboard {
    text-indent: 0!important;
    background: none!important;
    overflow: visible!important
;}

.syntaxhighlighter .toolbar .item.about {
    
}

.syntaxhighlighter.printing,
.syntaxhighlighter.printing .line.alt1 .content,
.syntaxhighlighter.printing .line.alt2 .content,
.syntaxhighlighter.printing .line.highlighted .number,
.syntaxhighlighter.printing .line.highlighted.alt1 .content,
.syntaxhighlighter.printing .line.highlighted.alt2 .content,
{
    background: none!important
;}

.syntaxhighlighter.printing .line .number {
    color: #bbb!important
;}

.syntaxhighlighter.printing .line .content {
    color: #000!important
;}

.syntaxhighlighter.printing .toolbar {
    display: none!important
;}

.syntaxhighlighter.printing a {
    text-decoration: none!important
;}

.syntaxhighlighter.printing .plain,
.syntaxhighlighter.printing .plain a {
    color: #000!important
;}

.syntaxhighlighter.printing .comments,
.syntaxhighlighter.printing .comments a {
    color: #008200!important
;}

.syntaxhighlighter.printing .string,
.syntaxhighlighter.printing .string a {
    color: blue!important
;}

.syntaxhighlighter.printing .keyword {
    color: #069!important;
    font-weight: bold!important
;}

.syntaxhighlighter.printing .preprocessor {
    color: gray!important
;}

.syntaxhighlighter.printing .variable {
    color: #a70!important
;}

.syntaxhighlighter.printing .value {
    color: #090!important
;}

.syntaxhighlighter.printing .functions {
    color: #ff1493!important
;}

.syntaxhighlighter.printing .constants {
    color: #06c!important
;}

.syntaxhighlighter.printing .script {
    font-weight: bold!important
;}

.syntaxhighlighter.printing .color1,
.syntaxhighlighter.printing .color1 a {
    color: #808080!important
;}

.syntaxhighlighter.printing .color2,
.syntaxhighlighter.printing .color2 a {
    color: #ff1493!important
;}

.syntaxhighlighter.printing .color3,
.syntaxhighlighter.printing .color3 a {
    color: red!important
;}

.syntaxhighlighter {
    border-left: 3px solid #6ce26c!important;
    background-color: #fafafa!important
;}

.syntaxhighlighter .line.highlighted .number {
    color: black!important
;}

.syntaxhighlighter .line.highlighted.alt1,
.syntaxhighlighter .line.highlighted.alt2 {
    background-color: #e0e0e0!important
;}

.syntaxhighlighter .line .number {
    color: #afafaf!important
;}

.syntaxhighlighter .line .content {
    border-left: 3px solid #6ce26c!important;
    color: #000!important
;}

.syntaxhighlighter.printing .line .content {
    border: 0!important
;}

.syntaxhighlighter .line.alt1 {
    background-color: #fafafa!important
;}

.syntaxhighlighter .toolbar {
    background-color: #f8f8f8!important;
    border: #e7e5dc solid 1px!important
;}

.syntaxhighlighter .toolbar a {
    color: #a0a0a0!important
;}

.syntaxhighlighter .toolbar a:hover {
    color: red!important
;}

.syntaxhighlighter .plain,
.syntaxhighlighter .plain a {
    color: #000!important
;}

.syntaxhighlighter .comments,
.syntaxhighlighter .comments a {
    color: #008200!important
;}

.syntaxhighlighter .string,
.syntaxhighlighter .string a {
    color: blue!important
;}

.syntaxhighlighter .keyword {
    color: #069!important;
    font-weight: bold!important
;}

.syntaxhighlighter .preprocessor {
    color: gray!important
;}

.syntaxhighlighter .variable {
    color: #a70!important
;}

.syntaxhighlighter .value {
    color: #090!important
;}

.syntaxhighlighter .functions {
    color: #ff1493!important
;}

.syntaxhighlighter .constants {
    color: #06c!important
;}

.syntaxhighlighter .script {
    background-color: yellow!important
;}

.syntaxhighlighter .color1,
.syntaxhighlighter .color1 a {
    color: #808080!important
;}

.syntaxhighlighter .color2,
.syntaxhighlighter .color2 a {
    color: #ff1493!important
;}

.syntaxhighlighter .color3,
.syntaxhighlighter .color3 a {
    color: red!important
;}